import { onMounted, defineComponent } from 'vue';
import MessageCard from './MessageCard';
import './index.scss';
import { useCommonStore, useIncidentStore } from '@/store';

export default defineComponent({
  name: 'HomePage',
  provide: {},
  setup() {
    const store = useIncidentStore();
    const commonStore = useCommonStore();

    onMounted(() => {
      commonStore.getGlobalDict('zhdd_incident_level');
      commonStore.getGlobalDict('zhdd_incident_type');
      commonStore.getGlobalDict('zhdd_incident_source');
      commonStore.getGlobalDict('zhdd_car_type');

      store.getIncidentList({
        // 事件等级1,2的事件
        level: 1,
      });
    });
    return () => (
      <div class="home-page-container">
        <MessageCard />
      </div>
    );
  },
});
