import Card from '@/components/Card';
import { computed, defineComponent } from 'vue-demi';
// @ts-ignore
import command from '@/assets/icons/detail/command@2x.png';
// @ts-ignore
import co_organized from '@/assets/icons/detail/co_organized@2x.png';
// @ts-ignore
import host from '@/assets/icons/detail/host@2x.png';
import { useCommonStore, useIncidentStore } from '@/store';

export default defineComponent({
  name: 'CommandChainCard',
  setup() {
    const store = useIncidentStore();
    const commonStore = useCommonStore();

    const getDept = (value: string = '') =>
      commonStore.globalDict['zhdd_org_upload']?.find(
        (i) => i?.dictValue?.toString() === value?.toString(),
      )?.dictLabel ?? '-';

    return () => (
      <Card cardType="command-chain">
        <div class="command-chain-container">
          <div class="chain-item">
            <span class="title">指挥部门</span>
            <span class="desc">市交通运输局</span>
            <img class="logo" src={command} alt="" />
          </div>
          <div class="chain-item">
            <span class="title">协办部门</span>
            <span class="desc">
              {store?.incidentDetail?.baseInfo?.assistDept
                ?.split(',')
                ?.map((i) => getDept(i)).join()}
            </span>
            <img class="logo" src={co_organized} alt="" />
          </div>
          <div class="chain-item">
            <span class="title">主办部门</span>
            <span class="desc">
              {getDept(store.incidentDetail?.baseInfo?.madinDept)}
            </span>
            <img class="logo" src={host} alt="" />
          </div>
        </div>
      </Card>
    );
  },
});
