import Card from '@/components/Card';
import { useIncidentStore } from '@/store';
import clsx from 'clsx';
import { computed, defineComponent, ref } from 'vue-demi';
import { Management } from '@element-plus/icons';
import { BaseReg } from '@/constants/constants';
export default defineComponent({
  name: 'ExecutionLogCard',
  setup(props) {
    const store = useIncidentStore();

    const medias = computed(() =>
      (store.incidentDetail?.baseInfo?.pic?.split(',') ?? []).concat(
        store.incidentDetail?.baseInfo?.video?.split(',') ?? [],
      ),
    );

    return () => (
      <Card cardType="execution-log">
        <div class="execution-log-container">
          {store.incidentDetail?.process?.map((item, idx) => (
            <div class={clsx('log-item', `log-item-${idx % 4}`)}>
              <span class="log-label">
                {item.des?.includes('>>>>') ? (
                  <>
                    <span>{item.des.split('>>>>')[0]}</span>
                    <span>
                      <span
                        style={{
                          boxSizing: 'border-box',
                          overflow: 'hidden',
                          textOverflow: 'ellipsis',
                          whiteSpace: 'nowrap',
                          width: '75%',
                        }}>
                        {item.des.split('>>>>')[1]}
                      </span>
                      等
                      {
                        <span style={{ color: '#00d0ff' }}>
                          {item.des.split('>>>>')[1]?.split(',')?.length ?? 0}
                        </span>
                      }
                      人未读
                    </span>
                  </>
                ) : (
                  item.des
                )}
              </span>
              <span class="log-time">
                {item.createTime}
                <span class="logo-icon">
                  <el-icon>
                    <Management />
                  </el-icon>
                </span>
              </span>
            </div>
          ))}
        </div>
      </Card>
    );
  },
});
